Ubuntu 12.04 LTS / 12.10 / 13.04 : swift vulnerabilities (USN-1887-1)

Ubuntu Security Notice (C) 2013 Canonical, Inc. / NASL script (C) 2013 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing a security-related patch.

Description :

Sebastian Krahmer discovered that Swift used the loads function in the
pickle Python module when it was configured to use memcached. A remote
attacker on the same network as memcached could exploit this to
execute arbitrary code. This update adds a new
memcache_serialization_support option to support secure json
serialization. For details on this new option, please see
/usr/share/doc/swift-proxy/memcache.conf-sample. This issue only
affected Ubuntu 12.04 LTS. (CVE-2012-4406)

Alex Gaynor discovered that Swift did not safely generate XML. An
attacker could potentially craft an account name to generate arbitrary
XML responses to trigger vulnerabilties in software parsing Swift's
XML. (CVE-2013-2161).

Solution :

Update the affected python-swift package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.5
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 66960 ()

Bugtraq ID: 55420
60543

CVE ID: CVE-2012-4406
CVE-2013-2161